Saving configuration on OMV5 fails with „Unicode error“

  • Hi,


    I am running OMV5 for a few weeks now (before I used OMV4 and made a fresh install).
    From one day to the other, I cannot save the configuration anymore, because I am getting the following error:



    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; omv-salt deploy run halt 2>&1' with exit code '1': Traceback (most recent call last): File "/usr/lib/python3.7/encodings/idna.py", line 165, in encode raise UnicodeError("label empty or too long") UnicodeError: label empty or too long The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/sbin/omv-salt", line 136, in <module> sys.exit(main()) File "/sbin/omv-salt", line 132, in main cli() File "/usr/lib/python3/dist-packages/click/core.py", line 764, in __call__ return self.main(*args, **kwargs) File "/usr/lib/python3/dist-packages/click/core.py", line 717, in main rv = self.invoke(ctx) File "/usr/lib/python3/dist-packages/click/core.py", line 1137, in invoke return _process_result(sub_ctx.command.invoke(sub_ctx)) File "/usr/lib/python3/dist-packages/click/core.py", line 1137, in invoke return _process_result(sub_ctx.command.invoke(sub_ctx)) File "/usr/lib/python3/dist-packages/click/core.py", line 956, in invoke return ctx.invoke(self.callback, **ctx.params) File "/usr/lib/python3/dist-packages/click/core.py", line 555, in invoke return callback(*args, **kwargs) File "/sbin/omv-salt", line 120, in deploy_run caller = salt.client.Caller(mopts=mopts) File "/usr/lib/python3/dist-packages/salt/client/__init__.py", line 1995, in __init__ self.sminion = salt.minion.SMinion(self.opts) File "/usr/lib/python3/dist-packages/salt/minion.py", line 842, in __init__ opts['grains'] = salt.loader.grains(opts) File "/usr/lib/python3/dist-packages/salt/loader.py", line 784, in grains ret = funcs[key]() File "/usr/lib/python3/dist-packages/salt/grains/core.py", line 2259, in ip_fqdn info = socket.getaddrinfo(_fqdn, None, socket_type) File "/usr/lib/python3.7/socket.py", line 748, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): UnicodeError: encoding with 'idna' codec failed (UnicodeError: label empty or too long)


    I tried to add a DNS Server into the network configuration and after applying and saving I got this error


    OMV version is 5.2.7-1


    Does anybody know what went wrong?


    Thanks
    Michael

    Asrock J3160-ITX, 4GB RAM, 120GB SSD, 2x3TB Seagate Ironwolf as RAID1, Thermaltake Core1 Cube

  • Hi,


    thanks for the response.


    BTW: using Tapatalk on IOS resulted in my main account (LarryL) being banned, so I am writing now from a separate account.
    Think I have to avoid tapatalk on IOS (from all I have read...)


    Anyway, thats the output on the CLI:


    root@omvnas:~# omv-confdbadm read --prettify conf.system.network.interface
    [
    {
    "address": "",
    "address6": "",
    "bonddowndelay": 0,
    "bondmiimon": 0,
    "bondmode": 1,
    "bondprimary": "",
    "bondupdelay": 0,
    "comment": "",
    "devicename": "enp3s0",
    "dnsnameservers": "8.8.8.8",
    "dnssearch": "",
    "gateway": "",
    "gateway6": "",
    "method": "dhcp",
    "method6": "manual",
    "mtu": 0,
    "netmask": "",
    "netmask6": 64,
    "slaves": "",
    "type": "ethernet",
    "uuid": "03876f86-e66c-48ab-9862-64faaa6b8d9d",
    "vlanid": 1,
    "vlanrawdevice": "",
    "wol": false,
    "wpapsk": "",
    "wpassid": ""
    }
    ]


    regards
    Michael

  • Account is unbanned.


    Could you please run salt-call --local --retcode-passthrough --no-color state.orchestrate omv.stage.setup and then omv-salt deploy run halt. The first command should fix the locale settings what seems to be the root of your problem.

  • thanks for unbanning the account - works :-)


    I'll try the command in the evenng - I am at work now with no naccess to the NAS at home


    many thanks for now!


    regards
    Michael

    Asrock J3160-ITX, 4GB RAM, 120GB SSD, 2x3TB Seagate Ironwolf as RAID1, Thermaltake Core1 Cube

  • Hi,


    unfortunately the first command resulted in lots of errors



    also the second command resulted in similar errors



    Asrock J3160-ITX, 4GB RAM, 120GB SSD, 2x3TB Seagate Ironwolf as RAID1, Thermaltake Core1 Cube

  • platform is
    Asrock J3160-ITX
    with an
    Intel® Quad-Core Processor J3160


    here the output




    Quellcode
    [*]root@omvnas:~# uname -a
    [*]Linux omvnas.local 5.4.0-0.bpo.2-amd64 #1 SMP Debian 5.4.8-1~bpo10+1 (2020-01-07) x86_64 GNU/Linux
    [*]root@omvnas:~# hostname --fqdn
    [*]omvnas.local
    [*]root@omvnas:~#
    [/list]

    Asrock J3160-ITX, 4GB RAM, 120GB SSD, 2x3TB Seagate Ironwolf as RAID1, Thermaltake Core1 Cube

  • thanks for your effort!
    will do a fresh install over the weekend to see if the problem returns


    have a nice evening

    Asrock J3160-ITX, 4GB RAM, 120GB SSD, 2x3TB Seagate Ironwolf as RAID1, Thermaltake Core1 Cube

  • Already did a fresh install - no problems after basic configurations
    I will continue tomorrow and report

    Asrock J3160-ITX, 4GB RAM, 120GB SSD, 2x3TB Seagate Ironwolf as RAID1, Thermaltake Core1 Cube

  • short update:
    after re-install of OMV5 everything seems to work fine!
    Did a lot of configurations, set-up OMV-extras, various docker containers, rsync jobs, etc.
    No issues so far
    I think there was a Python update just recently - maybe that did the trick...


    very pleased until now :-)


    thanks for your help


    Cheers
    Michael

    Asrock J3160-ITX, 4GB RAM, 120GB SSD, 2x3TB Seagate Ironwolf as RAID1, Thermaltake Core1 Cube

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!